Page MenuHomePhabricator

Create Schema for Partial Blocks
Closed, ResolvedPublic

Description

This task is to create/implement the schema from the proposal (See T193449).

Details

Related Gerrit Patches:
mediawiki/core : masterFix missing comma on sql file
mediawiki/core : masterMake Schema changes for Partial Blocks

Related Objects

Event Timeline

dbarratt claimed this task.Jun 15 2018, 9:33 PM
dbarratt moved this task from Ready to In progress on the Anti-Harassment (AHT Sprint 23) board.

@TBolliger Should I assume there will be a state where a block is not a site-wide nor a partial block? or is that outside of the scope of the MVP?

TBolliger added a comment.EditedJun 15 2018, 9:42 PM

definitely outside the scope of MVP. Eventually (soon) we'll build the ability to just block from moving pages or uploading files.

Change 440871 had a related patch set uploaded (by Dbarratt; owner: Dbarratt):
[mediawiki/core@master] [WIP] Make Schema changes for Partial Blocks

https://gerrit.wikimedia.org/r/440871

Vvjjkkii renamed this task from Create Schema for Partial Blocks to 32aaaaaaaa.Jul 1 2018, 1:04 AM
Vvjjkkii removed dbarratt as the assignee of this task.
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
Scott renamed this task from 32aaaaaaaa to Create Schema for Partial Blocks.Jul 1 2018, 5:48 PM
Scott assigned this task to dbarratt.
Scott lowered the priority of this task from High to Normal.
Scott updated the task description. (Show Details)
Scott added subscribers: Aklapper, gerritbot.
Vachovec1 updated the task description. (Show Details)Jul 1 2018, 5:48 PM
dbarratt set Due Date to Sep 10 2018, 4:00 AM.Aug 30 2018, 1:51 PM
Restricted Application changed the subtype of this task from "Task" to "Deadline". · View Herald TranscriptAug 30 2018, 1:51 PM
dbarratt changed Due Date from Sep 10 2018, 4:00 AM to Sep 4 2018, 4:00 AM.Aug 30 2018, 5:51 PM
-jkb- removed a subscriber: -jkb-.Aug 30 2018, 5:53 PM
dbarratt removed Due Date.Sep 3 2018, 8:17 PM
Restricted Application changed the subtype of this task from "Deadline" to "Task". · View Herald TranscriptSep 3 2018, 8:17 PM

Change 440871 merged by jenkins-bot:
[mediawiki/core@master] Make Schema changes for Partial Blocks

https://gerrit.wikimedia.org/r/440871

Change 459846 had a related patch set uploaded (by Dmaza; owner: Dmaza):
[mediawiki/core@master] Fix missing comma on sql file

https://gerrit.wikimedia.org/r/459846

Change 459846 merged by jenkins-bot:
[mediawiki/core@master] Fix missing comma on sql file

https://gerrit.wikimedia.org/r/459846

dbarratt closed this task as Resolved.Sep 11 2018, 10:59 PM
dbarratt moved this task from Review to Done on the Anti-Harassment (AHT Sprint 28) board.